#ifndef ISELLABLESERVICE_H
#define ISELLABLESERVICE_H

#include "shop_global.h"
#include "shopitem.h"
#include "iseller.h"
#include <QList>
#include <QSharedPointer>

class SHOPSHARED_EXPORT ISellableService
{
public:
    ISellableService();

    virtual QList<ShopItemPtr> shopItems() = 0;
    virtual ShopItemPtr shopItem(int itemId) = 0;
    virtual void addedToVoucher(int itemId, int countAdded) = 0;
    virtual ISeller *seller() = 0;
};

#endif // ISELLABLESERVICE_H
